class contextt
{
 public:
                                        // Insert the symbol
  bool add(const symbolt &symb);
                                        // Insert symb into the
                                        // table and erased it.
                                        // New_symbol points to the
                                        // new inserted element.
  bool move(symbolt &symbol, symbolt *&new_symbol);

                                        // Insert symb into the
                                        // table.Then symb is erased.
  bool move(symbolt &symb);

                                        // Return the value of the
                                        // symbol name.
  const irept &value(const std::string &name) const;
};
